Uploaded image for project: 'DSpace'
  1. DSpace
  2. DS-1552

luceneMatchVersion missing in oai and statistics solr core configuration

    XMLWordPrintable

    Details

    • Attachments:
      1
    • Comments:
      4
    • Documentation Status:
      Needed

      Description

      lucenematchversion is a mandatory config field in solrconfig.xml in Solr 4.0. It used to be optional. While it is defined for the search core, it seems missing in the stats and OAI core.

      As a result, it defaults to Lucene_24. e.g.

      WARNING: the luceneMatchVersion is not specified, defaulting to LUCENE_24 emulation. You should at some point declare and reindex to at least 3.0, because 2.4 emulation is deprecated and will be removed in 4.0. This parameter will be mandatory in 4.0.

      In attachment a logfile. Thanks to Ben Ryan for pointing me to the cause. Will issue a pull request for this soon.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              bram Bram Luyten (Atmire)
              Reporter:
              bram Bram Luyten (Atmire)
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: